! date of frames for the lapalma time serie.

	module m_time_set

        implicit none
        private
        real, save,public, allocatable :: t(:)
        integer, save,public :: ntm
        public :: the_time_set

contains

	subroutine the_time_set(the_time_file)

        integer i,ii
        real angle,heure
        character*80 :: the_time_file
        

        open(unit=7,file=the_time_file,form='formatted')
        read(7,*) ntm
        print*,'nb of times',ntm
        if (.not. allocated(t)) allocate(t(ntm))
          do i=1,ntm
           read(7,*) ii,heure
           t(i)=heure*3600
          enddo
        close(7)

	end subroutine

	end module
